Bug 459407 - SELinux is preventing sendmail (system_mail_t) "read" to /var/log/messages (var_log_t).
SELinux is preventing sendmail (system_mail_t) "read" to /var/log/messages (v...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: epylog (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-18 12:04 EDT by Philip Goisman
Modified: 2009-07-14 10:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:11:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
setroubleshoot message (3.24 KB, application/octet-stream)
2008-08-18 12:04 EDT, Philip Goisman
no flags Details

  None (edit)
Description Philip Goisman 2008-08-18 12:04:40 EDT
Created attachment 314480 [details]
setroubleshoot message

Description of problem:
SELinux denied access requested by sendmail. It is not expected that this access is required by sendmail and this access may signal an intrusion attempt. It is also possible that the specific version or configuration of the application is causing it to require additional access.

Version-Release number of selected component (if applicable):
FC9
selinux-policy-3.3.1-84.fc9.noarch
sendmail-8.14.2-4.fc9.i386

How reproducible:
Occurs daily automatically at 0430

Steps to Reproduce:
1.Occurs automatically
2.
3.
  
Actual results:


Expected results:
Don't expect setroubleshoot message

Additional info:
Comment 1 Daniel Walsh 2008-08-20 07:06:06 EDT
How did you trigger this?  Are you emailing your /var/log/messages via an init script?

This is not expected behaviour but if you would like to allow it you can use 

# grep sendmail /var/log/audit/audit.log | audit2allow -M mysendmail
# semodule -i mysendmail.pp

If you did not intend to email your messages file it could indicate a bug in a program that has an open file descriptor to the messages file and is execing sendmail.  Or it could indicate something more synester.
Comment 2 Philip Goisman 2008-08-21 11:07:09 EDT
I believe epylog.noarch 0:1.0.3-7.fc9 caused the problem.  After reading your
comment above and coordinating the time of the daily sealert message with logs,
I strongly suspected epylog.  So, I removed epylog and this morning the
sealert/settroubleshoot message did not appear.

Since I get LOGWATCH I guess I don't need epylog too.

Thanks for the help.
Comment 3 Daniel Walsh 2008-08-29 12:38:07 EDT
I suspect epylog is leaking file descriptors.

Make sure all open file descriptors closeonexec before running sendmail

fcntl(fd, F_SETFD, FD_CLOSEXEC)
Comment 4 Bug Zapper 2009-06-09 22:29:41 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 10:11:25 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.